Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11792)
@@ -1522,77 +1884,105 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/HorizontalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/HorizontalScrollbar">
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="MiniHorzScrollLeftNormal" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="MiniHorzScrollRightNormal" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/MiniHorzScrollLeftNormal" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/MiniHorzScrollRightNormal" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="TaharezLook" image="MiniHorzScrollRightNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="TaharezLook/ImageButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="TaharezLook/MiniHorzScrollRightNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="NormalImage" value="set:TaharezLook image:MiniHorzScrollRightNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:MiniHorzScrollRightHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:MiniHorzScrollRightNormal" />
+            <Property name="NormalImage" value="TaharezLook/MiniHorzScrollRightNormal" />
+            <Property name="HoverImage" value="TaharezLook/MiniHorzScrollRightHover" />
+            <Property name="PushedImage" value="TaharezLook/MiniHorzScrollRightNormal" />
         </Child>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="TaharezLook" image="MiniHorzScrollLeftNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-            </Area>
-            <Property name="NormalImage" value="set:TaharezLook image:MiniHorzScrollLeftNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:MiniHorzScrollLeftHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:MiniHorzScrollLeftNormal" />
+        <Child nameSuffix="__auto_decbtn__" type="TaharezLook/ImageButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="TaharezLook/MiniHorzScrollLeftNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+            </Area>
+            <Property name="NormalImage" value="TaharezLook/MiniHorzScrollLeftNormal" />
+            <Property name="HoverImage" value="TaharezLook/MiniHorzScrollLeftHover" />
+            <Property name="PushedImage" value="TaharezLook/MiniHorzScrollLeftNormal" />
         </Child>
-        <Child  type="TaharezLook/HorizontalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-            </Area>
-            <Property name="UnifiedMinSize" value="{{0,25},{0,0}}" />
+        <Child nameSuffix="__auto_thumb__" type="TaharezLook/HorizontalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+            </Area>
+            <Property name="MinSize" value="{{0,25},{0,0}}" />
         </Child>
         <ImagerySection name="main">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="MiniHorzScrollLeftNormal" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1.0" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="MiniHorzScrollRightNormal" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="MiniHorzScrollBarSegment" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezLook/MiniHorzScrollLeftNormal" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="RightEdge" />
+                            <ImageDim dimension="Width" name="TaharezLook/MiniHorzScrollRightNormal" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/MiniHorzScrollBarSegment" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="Stretched" />
@@ -1607,15 +1997,9 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/VerticalScrollbarThumb
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/VerticalScrollbarThumb">
         <Property name="VertFree" value="True" />
@@ -1623,12 +2007,20 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopEdge" imageset="TaharezLook" image="MiniVertScrollThumbTopNormal" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="MiniVertScrollThumbBottomNormal" />
-                <Image type="Background" imageset="TaharezLook" image="MiniVertScrollThumbMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="TaharezLook/MiniVertScrollThumbTopNormal" />
+                <Image component="BottomEdge" name="TaharezLook/MiniVertScrollThumbBottomNormal" />
+                <Image component="Background" name="TaharezLook/MiniVertScrollThumbMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -1636,12 +2028,20 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopEdge" imageset="TaharezLook" image="MiniVertScrollThumbTopHover" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="MiniVertScrollThumbBottomHover" />
-                <Image type="Background" imageset="TaharezLook" image="MiniVertScrollThumbMiddleHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="TaharezLook/MiniVertScrollThumbTopHover" />
+                <Image component="BottomEdge" name="TaharezLook/MiniVertScrollThumbBottomHover" />
+                <Image component="Background" name="TaharezLook/MiniVertScrollThumbMiddleHover" />
             </FrameComponent>
         </ImagerySection>
@@ -1664,78 +2064,106 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/VerticalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/VerticalScrollbar">
         <Property name="VerticalScrollbar" value="True" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="MiniVertScrollUpNormal" dimension="Height" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="MiniVertScrollDownNormal" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/MiniVertScrollUpNormal" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezLook/MiniVertScrollDownNormal" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="TaharezLook" image="MiniVertScrollDownNormal" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="TaharezLook/ImageButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="TaharezLook/MiniVertScrollDownNormal" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
-            <Property name="NormalImage" value="set:TaharezLook image:MiniVertScrollDownNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:MiniVertScrollDownHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:MiniVertScrollDownNormal" />
+            <Property name="NormalImage" value="TaharezLook/MiniVertScrollDownNormal" />
+            <Property name="HoverImage" value="TaharezLook/MiniVertScrollDownHover" />
+            <Property name="PushedImage" value="TaharezLook/MiniVertScrollDownNormal" />
         </Child>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="TaharezLook" image="MiniVertScrollUpNormal" dimension="Height" /></Dim>
-            </Area>
-            <Property name="NormalImage" value="set:TaharezLook image:MiniVertScrollUpNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:MiniVertScrollUpHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:MiniVertScrollUpNormal" />
+        <Child nameSuffix="__auto_decbtn__" type="TaharezLook/ImageButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="TaharezLook/MiniVertScrollUpNormal" />
+                </Dim>
+            </Area>
+            <Property name="NormalImage" value="TaharezLook/MiniVertScrollUpNormal" />
+            <Property name="HoverImage" value="TaharezLook/MiniVertScrollUpHover" />
+            <Property name="PushedImage" value="TaharezLook/MiniVertScrollUpNormal" />
         </Child>
-        <Child  type="TaharezLook/VerticalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="0.1" type="Height" /></Dim>
-            </Area>
-            <Property name="UnifiedMinSize" value="{{0,0},{0,25}}" />
+        <Child nameSuffix="__auto_thumb__" type="TaharezLook/VerticalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="0.1" type="Height" />
+                </Dim>
+            </Area>
+            <Property name="MinSize" value="{{0,0},{0,25}}" />
         </Child>
         <ImagerySection name="main">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="MiniVertScrollUpNormal" dimension="Height" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1.0" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="MiniVertScrollDownNormal" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="MiniVertScrollBarSegment" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="TaharezLook/MiniVertScrollUpNormal" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="TaharezLook/MiniVertScrollDownNormal" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/MiniVertScrollBarSegment" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="CentreAligned" />
@@ -1750,34 +2178,30 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/Listbox
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/Listbox">
-        <PropertyDefinition name="BackgroundColor" initialValue="FFFFFFFF" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="BackgroundColor" redrawOnWrite="true" />
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/ListboxRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezLook/ListboxBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1785,19 +2209,21 @@
         <NamedArea name="ItemRenderingAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/ListboxRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1805,19 +2231,21 @@
         <NamedArea name="ItemRenderingAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezLook/ListboxBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
